#include <iostream>
#include <gflags/gflags.h>
#include <glog/logging.h>
#include "stream_info/streaminfo.h"

using namespace std;

DEFINE_string(stream_dir, "", "stream_dir");

void signaleHandle(const char* data, int size){
    string str = data;
    LOG(INFO) << "signaleHandle: " << str;
}

int main(int argc, char *argv[])
{
    gflags::ParseCommandLineFlags(&argc, &argv, true);
    google::InitGoogleLogging(argv[0]);
    google::InstallFailureSignalHandler();
    google::InstallFailureWriter(&signaleHandle);
    FLAGS_log_dir = "/home/juefx/log";
    FLAGS_alsologtostderr = true;
    FLAGS_colorlogtostderr = true;
    FLAGS_stderrthreshold = 0;
    FLAGS_logbufsecs = 0;

    StreamInfo streamInfo(FLAGS_stream_dir);


    return 0;
}
