#ifndef GRIDBASE_H
#define GRIDBASE_H

#include "utils/basic_types.h"

class GridBase
{
public:
    GridBase(Vector2i index, float resolution);

    Vector2i getIndex();

    float getResolution();

    Vector2f getOrigin();

    virtual void configInfo() = 0;

protected:
    Vector2f origin_ = Vector2f::Zero();
private:
    Vector2i index_;

    float resolution_;

};

#endif // GRIDBASE_H
